# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlWX/WXGLCanvas.hpp File Reference

`#include <vlWX/link_config.hpp>`
`#include <vlGraphics/OpenGLContext.hpp>`
`#include <vlCore/Time.hpp>`
`#include <wx/frame.h>`
`#include <wx/glcanvas.h>`
`#include <wx/timer.h>`
`#include <wx/dcclient.h>`
`#include <wx/image.h>`
`#include <wx/app.h>`

Go to the source code of this file.

## Classes

class | vlWX::WXGLCanvas
| The WXGLCanvas class implements a vl::OpenGLContext using the wxWidgets library. More...

## Namespaces

namespace | vlWX

| The wxWidgets bindings namespace.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.